Package xg.protocol.messages

# Interface ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolPrivMessages.protocolPrivDisableProtocol`, `ProtocolPrivMessages.protocolPrivDisableProtocol.Builder`

Enclosing class:
  ProtocolPrivMessages

public static interface ProtocolPrivMessages.protocolPrivDisableProtocolOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getProtocolId()`
`uint32 protocol_id = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getProtocolId

int getProtocolId()
`uint32 protocol_id = 1;`

Returns:
  The protocolId.